Summary:	Microcode definitions for Intel processors
Summary(pl.UTF-8):	Definicje mikrokodu dla procesorów Intela
Name:		microcode-data-intel
Version:	20150121
Release:	2
License:	INTEL SOFTWARE LICENSE AGREEMENT
Group:		Base
# http://downloadcenter.intel.com/, enter "processor microcode data file" to the search
Source0:	http://downloadmirror.intel.com/24661/eng/microcode-%{version}.tgz
# Source0-md5:	639b7f2af0a822fe006a4fa2ddf8052f
# Tool for splitting Intel's microcode file. From Fedora
Source1:	intel-microcode2ucode.c
Provides:	microcode-data
ExclusiveArch:	i686 pentium2 pentium3 pentium4 %{x8664} x32
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The microcode data file for Linux contains the latest microcode
definitions for all Intel processors.

%description -l pl.UTF-8
Te pliki danych mikrokodu dla Linuksa zawierają najnowsze definicje
mikrokodu dla procesorów Intela.

%prep
%setup -q -c

%build
if ! grep -q 0x00000000 microcode.dat; then
	echo >&2 microcode.dat contains giberrish
	exit 1
fi

%{__cc} %{rpmcflags} %{rpmcppflags} %{rpmldflags} -Wall -o intel-microcode2ucode %{SOURCE1}
./intel-microcode2ucode microcode.dat > /dev/null || exit 1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/lib/firmware}

install intel-microcode2ucode $RPM_BUILD_ROOT%{_sbindir}
mv intel-ucode $RPM_BUILD_ROOT/lib/firmware

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/intel-microcode2ucode
/lib/firmware/intel-ucode
%changelog
* Wed Mar 11 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/microcode-data-intel.git;a=log;h=master

* Wed Mar 11 2015 Jan Rękorajski <baggins@pld-linux.org> 73ca58a
- added x32
- rel 2

* Sun Mar 08 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> fc10116
- up to 20150121

* Fri Sep 26 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fb5da7c
- up to 20140913; TSX disabled on Haswell

* Mon Sep 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 4b2198c
- up to 20140624

* Sun Sep 15 2013 Jan Palus <jan.palus@gmail.com> 6b88420
- up to 20130906

* Fri Apr 05 2013 Jan Palus <jan.palus@gmail.com> ceb7839
- up to 20130222

* Thu Oct 25 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3b4a24a
- up to 20120606 v2

* Sun Aug 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 1db93e8
- pl

* Fri Aug 17 2012 Karol Krenski <charles@pld-linux.org> db27cfa
- updated to 20120606

* Sun May 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 343a5ef
- rel 2; use ucode format which is directly accessed by kernel module (no need for microcode_ctl)

* Sun May 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e54dfb6
- easier search

* Mon Jan 30 2012 Grzesiek Pycia <gzohop@pld-linux.org> fc4c3ef
- up to 20111110

* Tue Aug 16 2011 Karol Krenski <charles@pld-linux.org> 35d137a
- updated to 20110428

* Sat Feb 19 2011 Karol Krenski <charles@pld-linux.org> 61cbfb8
- updated to 20101123

* Thu Oct 28 2010 Tomasz Pala <gotar@pld-linux.org> 3c1975b
- upgraded to 20100914 (skipping 19299/20100826 4f0922e5e0e97331fa63c085a74f80cf)

* Sun Mar 21 2010 bszx <bszx@pld-linux.org> 8c4afd6
- updated to 20100209

* Mon Aug 17 2009 Elan Ruusamäe <glen@pld-linux.org> bc02db3
- use %x8664 macro

* Mon Aug 17 2009 Elan Ruusamäe <glen@pld-linux.org> 23d57ba
- restore gibberish check from microcode_ctl.spec

* Sat Aug 15 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e5ddd0
- install microcode into /lib/firmware

* Sat Aug 15 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 165fd4a
- initial

